{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine rlist, set_list_box_data, security_err_msg\r\ndeclare function send_event, set_property, end_window, security_check\r\ndeclare function center_window, fieldcount, msg\r\n$insert security_rights_equ\r\n$insert rlist_equates\r\n$insert lsl_common\r\n$insert msg_equates\r\n$insert reactor_log_equ\r\n\r\n* JOHN PULL OF 3RD * PARAM SET TO A VARIABLE\r\nReactorLogID = field( CreateParam, '*', 3 )\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\n* IF 3RD PARAM THEN WE KNOW THAT IT WAS CALLED FROM REACTOR LOG SO THERE WILL NOT BE ANY KEYS CAUSE WE WILL NOT CALL\r\n* THIS WINDOW THAT WAY\r\nIF ReactorLogID Then\r\n\t* XLATE THE ROW FROM REACTOR_LOG\r\n\tReactorLogRecord = XLATE(\"REACTOR_LOG\",ReactorLogID,\"\",\"X\")\r\n\t* IF IT IS THERE THEN\r\n\tif ( ReactorLogRecord <> '' ) Then\r\n\t\tVoid = send_event( @window:'.WAND_LOG_NO', 'GOTFOCUS', '' )\t\r\n\t\t* SEND_EVENT TO THE WAND_LOG_NO LOSTFOCUS WHICH WILL FORCE THE READ\r\n\t\tVoid = send_event( @window:'.WAND_LOG_NO', 'LOSTFOCUS', '' )\r\n\t\t* SET THE REACTOR_LOG_ID->TEXT TO THE VAR\r\n\t\t.reactor_log_id->text = ReactorLogID\r\n\t\t* SET THE REACTOR\r\n\t\t.reactor->text = ReactorLogRecord<reactor_log_reactor$>\r\n\t\t* SET THE FOCUS TO THE REPLACEMENT REASON\r\n        Void = set_property( \"SYSTEM\", \"FOCUS\", @window:'.WANDREPLACEMENTREASON' )\t     \t\t\r\n\tend\r\nend\r\n\r\nKeys = field( CreateParam, '*', 1 )\r\nif Keys then\r\n   if fieldcount( Keys, @vm ) > 1 then\r\n       * need to send to qbf\r\n\t   convert @vm to @fm in Keys\r\n\t   Void = set_property( @window, 'QBFLIST', Keys )\r\n\t   Void = set_property( @window, '@NoRead', 1 )\r\n\t   .wand_log_no->text = Keys<1> \r\n\t   Void = send_event( @window, 'READ' )\r\n\t   Void = set_property( @window, '@NoRead', 0 )\r\n   end else\r\n       .wand_log_no->text = Keys\r\n       Void = send_event( @window:'.WAND_LOG_NO', 'LOSTFOCUS', '' )\r\n   end\r\nend \r\n\r\nif security_check( 'Quartz Wand Log', Read$ ) then\r\n   set_list_box_data( @window )\r\nend else\r\n   security_err_msg( 'Quartz Wand Log', Read$ )\r\n   Void = end_window( @window, '' )\r\n   return 0\r\nend\r\nif security_check( 'Quartz Wand Log', Edit$ ) else\r\n   security_err_msg( 'Quartz Wand Log', Edit$ )\r\nend\r\nRETURN 0\r\n"
        }
    }
}